## Struct allowed_base

zeep::xml::doctype::allowed_base

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/doctype.hpp>

    struct allowed_base {
      // construct/copy/destruct
      allowed_base();
      ~allowed_base();

      // public member functions
      state_ptr create_state() const;
      bool element_content() const;
      void print(std::ostream &);
    };

## Description

### `allowed_base` public construct/copy/destruct

1.     allowed_base();

2.     ~allowed_base();

### `allowed_base` public member functions

1.     state_ptr create_state() const;

2.     bool element_content() const;

3.     void print(std::ostream & os);